function [wx,sw] = wavedec2d(x,rm,wavname,dec)
% [wx,sw] = wavedec2d(x,rm,wavname,dec)
%
% Redundant wavelet decomposition (shifted bases)
%
%*****************************************************
%* author: Jean-Christophe PESQUET                   *
%* institution: LIGM - UMR CNRS 8049         	     *
%*	       Université Paris-Est                      *
%* date: Friday, July, 24th 2009                     *
%*****************************************************

nu = size(dec,1);
wx = zeros(nu,numel(x));
for n = 1:nu
    [wx(n,:),sw] = wavedec2(circshift(x,dec(n,:)),rm,wavname);
end
