function x = waverec2d(wx,sw,wavname,dec);
% x = waverec2d(wx,sw,wavname,dec)
%
% Redundant wavelet reconstruction (shifted bases)
%
%*****************************************************
%* author: Jean-Christophe PESQUET                   *
%* institution: LIGM - UMR CNRS 8049         	     *
%*	       Université Paris-Est                      *
%* date: Friday, July, 24th 2009                     *
%*****************************************************

nu = size(dec,1);

x = zeros(sw(end,:));
for n=1:nu
    x = x+circshift(waverec2(wx(n,:),sw,wavname),-dec(n,:));
end
